import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { DynaDataService } from '@xdf/gallery';
import { Observable } from 'rxjs';

@Injectable({providedIn: 'root'})
export class PassengerReservationService extends DynaDataService {
    constructor(private httpClient: HttpClient) {
        super(httpClient);
    }

    edit(data: any, id: any): Observable<any> {
        this.serviceURL = '/service/reservations/edit';
        return super.update(id, data);
    }
}
